be.fgov.ehealth.seals.core.v1

## Class DecodedDataType

- java.lang.Object
- - be.fgov.ehealth.seals.core.v1.DecodedDataType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:57:39+01:00",
                 comments="JAXB RI v2.2.11")
      public class DecodedDataType
      extends Object
      implements Serializable

  Block with decoded data where the id references an Original encoded block.

  Java class for DecodedDataType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DecodedDataType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Id" type="{http://www.w3.org/2001/XMLSchema}ID"/>
               <element name="OutputData" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecodedDataType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Gets the value of the id property.
    `String` | `getOutputData()` Gets the value of the outputData property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setOutputData(String value)` Sets the value of the outputData property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecodedDataType

          public DecodedDataType()

  - ### Method Detail

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOutputData

          public String getOutputData()

      Gets the value of the outputData property.
      Returns:
        possible object is `String`

    - #### setOutputData

          public void setOutputData(String value)

      Sets the value of the outputData property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.